

def get_s_words(words:list) -> list:
    return [word.upper() for word in words if word.startswith('S')]

word_list = ['Sun', 'Moon', 'Star', 'Planet', 'Satellite', 'Asteroid']
result: list[str] = get_s_words(word_list)
print(f"Words starting with 'S': {result}")

def get_even_squares(numbers: list[int]) -> list:
    return [x**2 for x in numbers if x % 2 == 0]

numbers : list = [i for i in range(10)]
result: list = get_even_squares(numbers)
print(f"Squares of even numbers: {result}")